## rosegarden-trinity 3.5.13.2

=== debian/changelog ===
rosegarden-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:01:29 +0200

rosegarden-trinity (1:1.7.0-1ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

rosegarden-trinity (1:1.7.0-0ubuntu5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

rosegarden-trinity (1:1.7.0-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 15 Dec 2008 18:46:00 -0600

rosegarden (1:1.7.0-1ubuntu3) intrepid; urgency=low

  * debian/rules: Depend on khelpcenter4 instead of the obsolete
    khelpcenter.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 24 Sep 2008 09:40:44 +0000

rosegarden (1:1.7.0-1ubuntu2) intrepid; urgency=low

  * Rebuild for liblo0 -> liblo transition (LP: #254734)

 -- Riccardo Coccioli <volans@ubuntu.com>  Mon, 04 Aug 2008 19:08:50 +0200

rosegarden (1:1.7.0-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. (LP: #225849) Remaining Ubuntu changes:
    - Add usr/share/doc/tde/HTML to rosegarden-data, to provide online
      help documentation.
    - Change fftw3-dev to libfftw3-dev.
    - Update maintainer field as per spec.

 -- Stefan Ebner <sebner@ubuntu.com>  Fri, 02 May 2008 00:33:44 +0200

rosegarden (1:1.7.0-1) unstable; urgency=low

  * New upstream release
  * removed dpatch for gcc++4.3

 -- Mike O'Connor <stew@debian.org>  Thu, 01 May 2008 11:43:11 -0400

rosegarden (1:1.6.1-3) unstable; urgency=low

  * added new dpatch which fixes problems compiling with g++4.3

 -- Mike O'Connor <stew@vireo.org>  Wed, 02 Apr 2008 12:02:17 -0400

rosegarden (1:1.6.1-2) unstable; urgency=low

  * moving lilypond from Depends: to Recommends: (Closes: #471960)

 -- Mike O'Connor <stew@vireo.org>  Sat, 22 Mar 2008 09:14:25 -0400

rosegarden (1:1.6.1-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add usr/share/doc/tde/HTML to rosegarden-data, to provide online
      help documentation.
    - Change fftw3-dev to libfftw3-dev.
    - Update maintainer field as per spec.

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Mon, 24 Dec 2007 21:51:51 +0000

rosegarden (1:1.6.1-1) unstable; urgency=low

  * New upstream release (Closes: 457007)
  * name change of 16x16 icon (Thanks tomv)
  * changing section from extra to optional to match override
  * Newer standards version: 3.7.3
  * getting rid of scons cruft in debian/rules

 -- Mike O'Connor <stew@vireo.org>  Fri, 21 Dec 2007 08:15:32 -0500

rosegarden (1:1.6.0-1ubuntu2) hardy; urgency=low

  * Change fftw3-dev to libfftw3-dev.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 19 Dec 2007 22:19:04 +1100

rosegarden (1:1.6.0-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining changes:
    Add usr/share/doc/tde/HTML to rosegarden-data, to provide online
    help documentation.
    debian/control:
    + Update maintainer field.   

 -- Michele Angrisano <micheleangrisano@ubuntu.com>  Thu, 13 Dec 2007 16:09:44 +0100

rosegarden (1:1.6.0-1) unstable; urgency=low

  * New upstream version (Closes: #454824)
  * Removed transitional rosegarden2, rosegarden4 packages
  * Added dependency on flac (Closes: #438164)
  * Fixed typos in README.Debian (Closes: 455250)
     - Thanks Paul Menzel
  * Moved menu item from Apps to Applications

 -- Mike O'Connor <stew@vireo.org>  Sun, 09 Dec 2007 15:22:35 -0500

rosegarden (1:1.5.1-3ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add usr/share/doc/tde/HTML/ to rosegarden-data, to provide online
      help documentation.
    - Update maintainer field in debian/control.

 -- Michele Angrisano <micheleangrisano@ubuntu.com>  Fri, 20 Jul 2007 14:52:39 +0200

rosegarden (1:1.5.1-3) unstable; urgency=low

  * applying patch from Martin Michlmayr for gcc 4.2 (Closes: #421327)
  * debian/patches:
     - added 30-midi-mime to make rosegarden open midi files when
       doubble clicking them on the desktop
  * debian/rosegarden.sharedmimeinfo
     - added mime information about for *.rg files

 -- Free Ekanayaka <freee@debian.org>  Thu, 19 Jul 2007 02:08:24 +0200

rosegarden (1:1.5.1-2ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Add usr/share/doc/tde/HTML/ to rosegarden-data, to provide online
      help documentation.
    - Changed maintainer field to MOTU.

 -- Luke Yelavich <themuso@ubuntu.com>  Sun,  6 May 2007 20:26:54 +1000

rosegarden (1:1.5.1-2) unstable; urgency=low

  * Updated README.Debian (Closes: 392181)
  * Added dependency on lilypond (Closes: 419371)
  * Patched source to prefer x-www-browser over konqueror and added dependency
    www-browser (Closes: 414027)
  * changing package from optional to extra to match override

 -- Mike O'Connor <stew@vireo.org>  Tue, 17 Apr 2007 19:27:40 -0400

rosegarden (1:1.5.1-1) unstable; urgency=low

  * New upstream release
  * moved debian-project-page-1 to debian-project-package.1
  * added manpage for debian-audiofile-importer(1)

 -- Mike O'Connor <stew@vireo.org>  Mon, 19 Mar 2007 20:10:53 -0400

rosegarden (1:1.5.0-3) unstable; urgency=low

  * Depend on kdebase-bin, as rosegarden-project-manager needs kdialog

 -- Free Ekanayaka <freee@debian.org>  Thu,  1 Mar 2007 11:58:23 +0100

rosegarden (1:1.5.0-2) unstable; urgency=low

  * Depend on libxml-twig-perl, xterm and sndfile-programs (Closes: 410431)
  * Fixed lintian warnings about not-binnmuable-depends

 -- Free Ekanayaka <freee@debian.org>  Wed, 14 Feb 2007 21:18:58 +0100

rosegarden (1:1.5.0-1) unstable; urgency=low

  * New upstream release
  * Switch to cmake
  * Depend on fftw3-dev
  * No need to copy the .desktop file to /usr/share/applications 

