=== debian/control ===
Source: rosegarden-trinity
Section: sound
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Mike O'Connor <stew@debian.org>, Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libasound2-dev (>= 1.0.0), libjack-dev, ladspa-sdk, liblrdf0-dev, liblircclient-dev, dssi-dev (>= 0.4 ), liblo-dev, libxft-dev, libfftw3-dev
Standards-Version: 3.8.4
Homepage: http://www.rosegardenmusic.com/

Package: rosegarden-trinity
Architecture: any
Depends: ${shlibs:Depends}, khelpcenter-trinity, rosegarden-data-trinity (= ${source:Version}), libxml-twig-perl, sndfile-programs, xterm, tdebase-trinity-bin, konqueror-trinity | www-browser, flac
Replaces: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
Breaks: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
Recommends: jackd, lilypond, swh-plugins | ladspa-plugin
Suggests: qjackctl
Description: music editor and MIDI/audio sequencer [Trinity]
 Rosegarden is a TDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

Package: rosegarden-data-trinity
Architecture: all
Recommends: rosegarden-trinity
Replaces: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
Breaks: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
Priority: optional
Description: music editor and MIDI/audio sequencer data files [Trinity]
 Rosegarden is a TDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
 .
 This package provides the data files necessary for running Rosegarden
