## rosegarden-trinity 14.0.11

=== debian/changelog ===
rosegarden-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 27 Jul 2021 16:38:14 +0200
