## rosegarden-trinity 14.0.13

=== debian/changelog ===
rosegarden-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 26 Aug 2022 09:22:15 +0200
