=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
 Uploaders: Mike O'Connor <stew@debian.org>, Free Ekanayaka <freee@debian.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libasound2-dev (>= 1.0.0), libjack-dev, ladspa-sdk, liblrdf0-dev, liblircclient-dev, dssi-dev (>= 0.4 ), liblo-dev, libxft-dev, libfftw3-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libasound2-dev (>= 1.0.0), libjack-dev, ladspa-sdk, liblrdf0-dev, liblircclient-dev, dssi-dev (>= 0.4 ), liblo-dev, libxft-dev, libfftw3-dev
 Standards-Version: 3.8.4
 Homepage: http://www.rosegardenmusic.com/
