## rosegarden-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,15 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 ##### general package setup #####################
 
-# The name of our project is "ROSEGARDEN". CMakeLists files in this project can
-# refer to the root source directory of the project as ${ROSEGARDEN_SOURCE_DIR}
-# and to the root binary directory of the project as ${ROSEGARDEN_BINARY_DIR}
-PROJECT(ROSEGARDEN)
+project( rosegarden )
 
 
 ##### include essential cmake modules ###########
@@ -44,17 +41,21 @@
 SET (VERSION_PATCH "0")
 # comment out the next line for a public release
 #SET (VERSION_SUFFIX "svn")
-SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
+SET (PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 IF(VERSION_SUFFIX)
-   SET (VERSION "${VERSION}-${VERSION_SUFFIX}")
+	SET (PACKAGE_VERSION "${PACKAGE_VERSION}-${VERSION_SUFFIX}")
 ENDIF(VERSION_SUFFIX)
-ADD_DEFINITIONS(-D'VERSION="${VERSION}"')
+ADD_DEFINITIONS(-D'VERSION="${PACKAGE_VERSION}"')
 
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths #######################
@@ -99,16 +100,16 @@
 )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
-set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )
 
 
 ##### source directories ########################
 
 add_subdirectory( src )
 add_subdirectory( data )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files #####################
@@ -116,8 +117,5 @@
 configure_file( config.h.cmake config.h @ONLY )
 
 # create and install the version file
-FILE(WRITE version.txt "${VERSION}\n")
-INSTALL( FILES version.txt DESTINATION ${DATA_INSTALL_DIR}/rosegarden )
-
-# configure the RPM spec
-CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/rosegarden.spec.in" "${CMAKE_SOURCE_DIR}/rosegarden.spec" IMMEDIATE @ONLY)
+FILE(WRITE "${CMAKE_BINARY_DIR}/version.txt" "${PACKAGE_VERSION}\n")
+INSTALL( FILES "${CMAKE_BINARY_DIR}/version.txt" DESTINATION ${DATA_INSTALL_DIR}/rosegarden )
