## rosegarden-trinity 14.1.2

=== debian/changelog ===
rosegarden-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 02:08:51 +0200
