## rosegarden-trinity 14.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 3.1 )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 ##### general package setup #####################
@@ -31,31 +36,26 @@
 ##### set up versioning #########################
 
 # Mark as advanced
-MARK_AS_ADVANCED(EXECUTABLE_OUTPUT_PATH
+mark_as_advanced(EXECUTABLE_OUTPUT_PATH
                  LIBRARY_OUTPUT_PATH
 		 CMAKE_BACKWARDS_COMPATIBILITY)
 
 # Rosegarden version string
-SET (VERSION_MAJOR "1")
-SET (VERSION_MINOR "7")
-SET (VERSION_PATCH "0")
+set (VERSION_MAJOR "1")
+set (VERSION_MINOR "7")
+set (VERSION_PATCH "0")
 # comment out the next line for a public release
-#SET (VERSION_SUFFIX "svn")
-SET (PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
-IF(VERSION_SUFFIX)
-	SET (PACKAGE_VERSION "${PACKAGE_VERSION}-${VERSION_SUFFIX}")
-ENDIF(VERSION_SUFFIX)
-ADD_DEFINITIONS(-D'VERSION="${PACKAGE_VERSION}"')
+#set (VERSION_SUFFIX "svn")
+set (PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
+if(VERSION_SUFFIX)
+	set (PACKAGE_VERSION "${PACKAGE_VERSION}-${VERSION_SUFFIX}")
+endif(VERSION_SUFFIX)
+add_definitions(-D'VERSION="${PACKAGE_VERSION}"')
 
 
 ##### include our cmake modules #################
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths #######################
@@ -78,15 +78,15 @@
 option( WANT_PCH     "Use precompiled headers" OFF )
 option( WANT_TEST    "Perform unit tests" OFF )
 
-IF(WANT_TEST)
-    ENABLE_TESTING()
-ENDIF(WANT_TEST)
+if(WANT_TEST)
+    enable_testing()
+endif(WANT_TEST)
 
-IF(NOT WANT_SOUND)
-    SET(WANT_JACK OFF)
-    SET(WANT_DSSI OFF)
-    ADD_DEFINITIONS(-DNO_SOUND)
-ENDIF(NOT WANT_SOUND)
+if(NOT WANT_SOUND)
+    set(WANT_JACK OFF)
+    set(WANT_DSSI OFF)
+    add_definitions(-DNO_SOUND)
+endif(NOT WANT_SOUND)
 
 ##### configure checks ##########################
 
@@ -117,5 +117,5 @@
 configure_file( config.h.cmake config.h @ONLY )
 
 # create and install the version file
-FILE(WRITE "${CMAKE_BINARY_DIR}/version.txt" "${PACKAGE_VERSION}\n")
-INSTALL( FILES "${CMAKE_BINARY_DIR}/version.txt" DESTINATION ${DATA_INSTALL_DIR}/rosegarden )
+file(WRITE "${CMAKE_BINARY_DIR}/version.txt" "${PACKAGE_VERSION}\n")
+install( FILES "${CMAKE_BINARY_DIR}/version.txt" DESTINATION ${DATA_INSTALL_DIR}/rosegarden )
