=== debian/changelog ===
rosegarden-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 04 Oct 2024 23:40:12 +0200
