=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,11 @@
  -DCMAKE_SKIP_RPATH="OFF" \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-DEB_COMPRESS_EXCLUDE += .rg .wav .docbook
+DEB_COMPRESS_EXCLUDE_ALL += .rg .wav .docbook
 
 binary-install/rosegarden-trinity::
 	dh_testdir
 	find debian/rosegarden-trinity/usr/share/doc/rosegarden-trinity/examples -type f -exec chmod 664 {} \;
-	cp -Rp debian/rosegarden-trinity/usr/share/man/* debian/rosegarden-trinity/opt/trinity/share/man/
-	rm -rf debian/rosegarden-trinity/usr/share/man
 
 clean::
 	dh_testdir
